LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Software (https://www.linuxquestions.org/questions/linux-software-2/)
-   -   Updated Fedora 9 And I Now Get A Yum Error (https://www.linuxquestions.org/questions/linux-software-2/updated-fedora-9-and-i-now-get-a-yum-error-689471/)

jc_cpu 12-09-2008 11:16 PM

Updated Fedora 9 And I Now Get A Yum Error
 
I just recently updated Fedora 9 and I'm now getting an error when I run Yum from the command line. Anyone know how to fix this? What's strange is that I'm still able to install packages. For example, I got the error below after I installed the package "yum-protectbase". Any help will be greatly appreciated. Thanks in advance.


The Yum Error:

Quote:

ERROR:dbus.proxies:Introspect error on :1.42:/org/freedesktop/PackageKit: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: A security policy in place prevents this sender from sending this message to this recipient, see message bus configuration file (rejected message had interface "org.freedesktop.DBus.Introspectable" member "Introspect" error name "(unset)" destination ":1.42")

jens 12-12-2008 11:53 AM

I had the same bug with Fedora 10.

https://bugzilla.redhat.com/show_bug.cgi?id=475074 (Fedora 10)
https://bugzilla.redhat.com/show_bug.cgi?id=475068 (Fedora 9)

Either upgrade those packages manually (as mentioned in the F9 bug report) or wait and use yum (they should be available soon).

jc_cpu 12-13-2008 04:48 PM

Thanks for the reply. I actually waited a few days and ran "yum update". Now everything appears to be ok.


All times are GMT -5. The time now is 04:08 AM.